<?php

namespace Vn\Rest;

require_once ('vn/db/conn.php');

use Vn\Db\Conn;

/**
 * Base class for rest modules.
 *
 * @property Conn $conn A database connection
 **/
abstract class Module
{
	protected $conn;

	function __construct ($conn)
	{
		$this->conn = $conn;
	}
	
	abstract function run ();
}

?>
