
Htk.ColumnLink = new Class
({
	Extends: Htk.Column
	,Tag: 'htk-column-link'
	,Properties:
	{
		/**
		 * The link url.
		 **/
		href:
		{
			type: String
			,value: null
		},
		/**
		 * the target where the link is opened.
		 **/
		target:
		{
			type: String
			,value: null
		}
	}

	,render: function (tr)
	{
		var link = document.createElement ('a');
		link.href = this.href;
		link.appendChild (document.createTextNode (this.value));
		
		if (this.target)
			link.target = this.target;
		
		var td = this.parent (tr);
		td.style.textAlign = 'left';
		td.appendChild (link);
		return td;
	}
});

